#/usr/bin/perl

use v5.32;

use strict;
use warnings;

use FindBin;
use YAML;

my $Conf;
BEGIN { $Conf = YAML::LoadFile("$FindBin::Bin/.f1bot.cnf"); }

if ( !$Conf->%* ) {
    print STDERR "No valid config was found. Exiting...\n";
    exit;
}

use lib $Conf->{Lib};

use F1DataBot;

my $F1DataBotObject = F1DataBot->new($Conf->%*);
$F1DataBotObject->fetchMessages();

exit;
